LR_XML2HTML(1)

NAME
lr_xml2html - generate a HTML report from a raw xml report

SYNOPSIS
lr_xml2html [options] file

OPTIONS
generate charts of subreport which have the charttype attribute defined, by running lr_xml2png(1). Generate one HTML page for the whole report instead of putting each sections in its own page.

DESCRIPTION
lr_xml2html reads a raw xml report from file file, and creates a HTML report from it. It will output a tar(1) file on STDOUT containing a report directory and the HTML files (and optionnaly some charts) in it. One could pipe the output through '| tar xf -' to extract the files in the current directory.

When the -i option is used, lr_xml2html will generates PNG charts.

It uses the LR_ID environment variable in debug messages it prints to stdout.

It runs lr_xslt(1) to generate the HTML.

lr_xml2png(1) is assumed to be in the PATH. Sourcing profile_lean yields such a PATH.

THANKS
Joost Kooij <joost@topaz.mdcc.cx>, for explaining how to deal with globbing in the shell.

SEE ALSO
lr_dlf2xml(1), lr_xml2ascii(1), lr_xml2xhtml(1)

VERSION
$Id: lr_xml2html.pod,v 1.14 2002/07/21 18:17:18 vanbaal Exp $

COPYRIGHT
Copyright (C) 2000, 2001, 2002 Stichting LogReport Foundation LogReport@LogReport.org

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

AUTHOR
Egon Willighagen <egonw@logreport.org>